#ifndef _STDIO_H
#define _STDIO_H
typedef unsigned long size_t;
#define stderr ((void*)2)
int fprintf(void *stream, const char *format, ...);
int sprintf(char *str, const char *format, ...);
int snprintf(char *str, size_t size, const char *format, ...);
int vsnprintf(char *str, size_t size, const char *format, __builtin_va_list ap);
#endif
